Skip to main content

Get all applications

GEThttps://api.propexo.com/v1/applications/

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters​

order-by string

Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc

Default value: created_at:desc
updated_at_gte string | null

Filter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

updated_at_lte string | null

Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

last_seen_gte string | null

Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

last_seen_lte string | null

Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

offset integer | null

Possible values: >= 0

Can be used for paginating results

Default value: 0
limit integer | null

Possible values: >= 0 and <= 250

A number between 1 and 250 to determine the number of results to return in a single query

Default value: 100
x_id string

The external applicant id

location_id string

The Propexo unique identifier for the location associated with the property (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.

property_id string

The Propexo property id

integration_id string

The Propexo integration id

integration_vendor string
Show 13 enum values
APPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDIYARDI_REST

The integration vendor for the applicant.

Response​

Successful response

    meta objectrequired
    offsetinteger

    The offset of the first result

    Possible values: >= 0

    Example: 0
    limitinteger

    The number of results to return

    Possible values: >= 0 and <= 250

    Example: 100
    orderBy object[]required

    The order of the results

  • Array [
  • object
  • ]
  • hasMoreboolean | nullnullable

    Whether there are more results

    totalinteger

    The total number of results

    Possible values: >= 0

    Example: 1000
    results object[]required
  • Array [
  • idstringrequired

    The Propexo unique identifier for the application

    Example: clwktsp9v000008l31iv218hn
    created_atstringrequired

    The date record first entered Propexo

    Example: 2024-03-21T15:38:08.337Z
    updated_atstringrequired

    The date record was last updated in Propexo

    Example: 2024-03-22T10:59:45.119Z
    last_seenstring | nullnullablerequired

    The date the record was last seen from the PMS

    Example: 2024-03-22T10:59:45.119Z
    x_idstringrequired

    The external ID from the integration vendor

    MethodInterface
    /v0/rental_applicationsApplications
    Example: e9d3f4ff-ae8e-42d9-ba98-572235918440
    x_location_idnullrequired

    The external ID of the location (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.

    Notice

    This field will always be null for APPFOLIO

    Example: null
    x_property_idstringrequired

    The external ID of the property from the integration vendor

    MethodInterface
    /v0/rental_applicationsApplications
    Example: 6f98c316-b5d0-475b-a5d0-7269a8e71d10
    x_unit_idstring | nullnullablerequired

    The external ID of the unit from the integration vendor

    MethodInterface
    /v0/rental_applicationsApplications
    Example: 1486a3d1-eae1-4d59-85fb-c0a653bf6309
    statusstringrequireddeprecated

    DEPRECATED. Use status_raw and status_normalized on the applicants array

    Important

    Deprecated in favor of status_raw and status_normalized on applicants_to_applications

    MethodInterface
    /v0/rental_applicationsApplications
    custom_data object | nullrequired
    object
    applicants object[]required

    Applicants associated with the application

  • Array [
  • applicant_idstringrequired

    The Propexo unique identifier for the applicant

    MethodInterface
    /v0/rental_applicationsApplications
    Example: clxkw4hlh0000t3oz7dwh0wum
    application_idstringrequired

    The Propexo unique identifier for the application

    MethodInterface
    /v0/rental_applicationsApplications
    Example: clxkw4nbk0002t3ozbf008763
    statusstring | nullnullabledeprecated

    DEPRECATED. Use status_raw

    MethodInterface
    /v0/rental_applicationsApplications
    status_rawstring | nullnullable

    The raw status associated with the applicant

    MethodInterface
    /v0/rental_applicationsApplications
    Example: pending
    status_normalizedstring | nullnullable

    The normalized status associated with the applicant. Confirm these derived values before using them in production.

    MethodInterface
    /v0/rental_applicationsApplications
    Example: PENDING
    custom_data object | null
    object
  • ]
  • integration_idstringrequired

    The Propexo unique identifier for the integration

    Example: clwh5u07w000508me66sfh3um
    integration_vendorEnum13required

    The property management system of record

    Show 13 enum values
    APPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDIYARDI_REST
    Example: APPFOLIO
    property_idstringrequired

    The Propexo unique identifier for the property

    Example: clwi5xiix000008l6ctdgafyh
    unit_idstring | nullnullablerequired

    The Propexo unique identifier for the unit

    MethodInterface
    /v0/rental_applicationsApplications
    Example: cmebqjf0v7691176951cts1hhsarclt
  • ]

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
GET /v1/applications/
curl https://api.propexo.com/v1/applications/ \
-H "Authorization: Bearer <token>"
200 Successful response
{
"meta": {
"offset": 0,
"limit": 100,
"orderBy": [
{}
],
"hasMore": true,
"total": 1000
},
"results": [
{
"id": "clwktsp9v000008l31iv218hn",
"created_at": "2024-03-21T15:38:08.337Z",
"updated_at": "2024-03-22T10:59:45.119Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"x_id": "e9d3f4ff-ae8e-42d9-ba98-572235918440",
"x_location_id": null,
"x_property_id": "6f98c316-b5d0-475b-a5d0-7269a8e71d10",
"x_unit_id": "1486a3d1-eae1-4d59-85fb-c0a653bf6309",
"custom_data": "Unknown Type: object,null",
"applicants": [
{
"applicant_id": "clxkw4hlh0000t3oz7dwh0wum",
"application_id": "clxkw4nbk0002t3ozbf008763",
"status_raw": "pending",
"status_normalized": "PENDING",
"custom_data": "Unknown Type: object,null"
}
],
"integration_id": "clwh5u07w000508me66sfh3um",
"integration_vendor": "APPFOLIO",
"property_id": "clwi5xiix000008l6ctdgafyh",
"unit_id": "cmebqjf0v7691176951cts1hhsarclt"
}
]
}